API Reference
API Reference

/employees/:id/documents

Returns a collection of the uploaded and signed documents for a specific employee. Required scope: r_employees. Accessible with user level tokens and account level tokens that provide the member_id query param.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

This particular endpoint uses r_employees scope, which can be enabled through the Integrations section found within the Settings menu. Account level tokens need member_id to work.

Results

Calling the /employees/:id/documents endpoint will return a collection of documents associated with an employee. An example of the response follows:

{
    "total_count": 2,
    "employee_documents": [
        {
            "id": "dde",
            "filename": "Employee Handbook.pdf",
            "filepath": "https://officedroid-hris.s3.amazonaws.com/uploads/1034258416/employee-documents/10986/10ee844d-61c3-4a07-b557-9e06f3c4f0dc",
            "filesize": 60048,
	          "created_by": "John Doe",
          	"created_at": "2025-01-06T09:01:01.000Z",
						"updated_at": "2025-02-06T09:01:01.000Z"


        },
        {
            "id": "ddd",
            "filename": "Offer Letter.pdf",
            "filepath": "https://officedroid-hris.s3.amazonaws.com/uploads/1034258416/employee-documents/10986/ec6c9d6e-1835-4f47-b8b4-faae0142f26b",
            "filesize": 44009,
         		"created_by": "John Doe",
          	"created_at": "2025-01-06T09:01:01.000Z",
						"updated_at": "2025-02-06T09:01:01.000Z"

        }
    ]
}

Each employee_document will have the following keys:

keytypedescription
idstringUnique identifier for the document
filenamestringName of the file/document
filepathstringComplete URL where the file/document is hosted or stored. This is a signed AWS URL, with a TTL of 1 hour and can be used to download the respective file locally
filesizeintegerSize of the file in bytes
created_bystringName of the individual who uploaded or created the document
created_atstringTimestamp of employee document creation
updated_atstringTimestamp of employee document update

Document types

The optional type query parameter selects which class of document is returned:

typedescription
simple_employee_document (default)Uploaded employee documents
signature_request_employee_documentSignature request documents
timeoff_attachmentFiles attached to time off requests
i_9_form_documentCompleted I-9 form documents

I-9 form documents

type=i_9_form_document returns completed I-9 form documents and is only accessible to:

  • the employee who owns the document, or
  • a member with the SignaturesView permission.

Other callers receive 403 Forbidden.

The response payload for I-9 documents only includes filename, filepath, and filesize:

{
    "total_count": 1,
    "employee_documents": [
        {
            "filename": "I-9-form.pdf",
            "filepath": "https://officedroid-hris.s3.amazonaws.com/uploads/1034258416/employee-documents/10986/i-9-form.pdf",
            "filesize": 512
        }
    ]
}
Path Params
string
required

The account subdomain

string
required

The employee id

Query Params
string

Optional member id for user tokens. Required for account tokens. Members endpoint GET /members

string
enum
Defaults to simple_employee_document
Allowed:
int32
Defaults to 10

Limits the number of the returned results

int32
Defaults to 0

Skips the first n entries. Using limit and offset one can navigate through the entire employee database

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json